{{- define "common.cronjobs" -}}
{{- $commonValues := .Values.common -}}
{{- $chartValues := omit .Values "common" -}}
{{- $mergedValues := mergeOverwrite (dict) $commonValues $chartValues  -}}
{{- $_ := set . "Values" $mergedValues -}}
{{- $commonName := include "common.name" . -}}
{{- $commonLabels := include "common.labels" . -}}
{{- $commonAnnotations := .Values.commonAnnotations -}}
{{- if .Values.cronjobs -}}
{{- range $job := .Values.cronjobs -}}
{{- if $job.enabled -}}
apiVersion: batch/v1beta1
kind: CronJob
metadata:
  name: {{ $commonName }}-{{ $job.name }}
  labels:
  {{- $commonLabels | nindent 4 }}
  annotations:
{{- if $commonAnnotations }}
{{ toYaml $commonAnnotations | indent 4 }}
{{- end }}
spec:
  schedule: {{ quote $job.cron }}
  jobTemplate:
  {{- toYaml $job.jobTemplate | nindent 4 }}
---
{{- end -}}
{{- end -}}
{{- end -}}
{{- end -}}
